/*! HTML5 Boilerplate v4.3.0 | MIT License | http://h5bp.com/ */

/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html,
button,
input,
select,
textarea {
    color: #222;
}

html {
    font-size: 1em;
    line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight: h5bp.com/i
 * These selection rule sets have to be separate.
 * Customize the background color to match your design.
 */

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

/*
 * Remove the gap between images, videos, audio and canvas and the bottom of
 * their containers: h5bp.com/i/440
 */

audio,
canvas,
img,
video {
    vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
    resize: vertical;
}

/* ==========================================================================
   Browse Happy prompt
   ========================================================================== */

.browsehappy {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */


html, body{
    color: #666;
    font-family: 'Carrois Gothic', sans-serif;
    line-height: 1.2;
    font-size: 14px;
}

.montserrat{
    margin-top: 115px;
    font-family: "Montserrat", sans-serif;
}

.montserrat h1,.montserrat h2,.montserrat h3{
    font-family: "Montserrat", sans-serif;
}

body{
    min-width: 1000px;
    width: auto !important;  /* Firefox will set width as auto */
    width:800px;
}

#loaderBig {
    background-color: rgba(0, 0, 0, 0.8);
    background-image: url("/app/public/files/ckfinder/images/loadingBig.gif");
    background-position: center center;
    background-repeat: no-repeat;
    display: none;
    height: 100%;
    left: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 100000;
}

a{
    text-decoration: none;
    color: #888;
    cursor:pointer;
}


header{
    position: fixed;
    top:0;
    left:0;
    width: 100%;
    z-index: 9998;
}

.header_top{
    height: 75px;
    background-color: rgba(255,255,255,0.8);
    text-align: right;
    transition: all 0.3s;
    font-size: 18px;
}

.header_top a:not(.bandierina){
    margin-left: 30px;
}

.container_bandierine{
    display: inline-block;
    float:right;
    position: relative;
}

.container_bandierine a.bandierina.attiva{
    position: relative;
}
/*
a.bandierina.attiva:after{
    left:4px;
    display: block;
    position: absolute;
    bottom: -9px;
    content: " ";
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 8px solid #c2c2c2;
}*/

#container_bandierine_toggle{
    position:absolute;
    top: 52px;
    left: -4px;
    background-color: white;
    max-height: 0;
    z-index: 99999;
    transition: all 0.3s;
    overflow: hidden;
    border: 1px transparent;
    box-sizing: border-box;
}

.container_bandierine:hover #container_bandierine_toggle{
    max-height: 150px;
    border: 1px solid rgba(192,192,192,1);
}

#container_bandierine_toggle .bandierina{
    display: block;
    opacity: 1;
    line-height: 26px;
    padding: 4px;
}

.nuova-header{
    display: inline-block;
    text-align: center;
    position: relative;
    top: 10px;
    font-size: 14px;
    font-weight: bold;
}

.nuova-header img{
    height: 30px;
    margin-bottom: 5px;
}

.header_bottom{
    height: 40px;
    background-color: #545454;
    line-height: 40px;
    text-align: left;
    transition: all 0.3s;
    position: relative;
}

header.smaller .header_top{
    background-color: rgba(255,255,255,1);
}

header .header_top a#logo_small{
    opacity: 100;
    position:absolute;
    left:0;
    top: 15px;
    transition: all 0.3s;
}

a#logo_small img{
    height: 50px;
}

header.smaller .header_top a#logo_small{
    opacity: 1;
}

.header_bottom nav li > a{
    display: inline-block;
    padding: 0 10px;
    font-size: 14px;
    line-height: 14px;
    text-transform: uppercase;
    font-weight: bold;
    box-sizing: border-box;
    position:relative;
    color:white;
    border-left: 1px solid white;
}

.header_bottom nav li a.categoria-menu-titolo{
    color: #bebebe;
    text-transform: uppercase;
}


.header_bottom nav li:hover > a{
    color: #C0C0C0;
}

.header_bottom nav ul{
    width:calc(100% - 60px);
    float:left;
    margin: 0;
    padding: 0;
    list-style-type: none;
    transition: all 0.3s linear;
}

.header_bottom nav ul li{
    display:inline-block;
    z-index:1000;
    text-align: center;
}

.header_bottom nav ul li nav{
    position:absolute;
    box-sizing: border-box;
    width:auto;
    z-index:999;
    top: 40px;
    overflow:hidden;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0.2s, opacity 0.2s linear;
    padding: 0;
    min-width: 100%;
    background-color: #545454;
}

.header_bottom nav ul li nav.nav-big{
    position:absolute;
    left: 0;
    box-sizing: border-box;
    width:100vw;
    min-height: 80px;
    z-index:999;
    top: 40px;
    overflow:hidden;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0.2s, opacity 0.2s linear;
    padding: 0;
    background-color: #545454;
}

.colonne-menu{
    padding: 20px 0;
    display: grid;
    grid-gap: 14px;
    grid-template-columns: repeat(auto-fit, minmax(130px, 1fr) ) ;
}

.colonne-menu a{
    display:block;
    padding: 8px 0;
    font-size: 14px;
    font-weight: bold;
    line-height: 16px;
    text-align: left;
    color: white;
    transition: all 0.1s;
}

a.categoria-menu-titolo{
    cursor: text;
}

.colonne-menu a:not(.categoria-menu-titolo):hover{
    transform: translateX(3px);
}


.header_bottom nav ul li ul{
    white-space: nowrap;
    padding: 0;
}

.header_bottom nav ul li ul li{
    display:block;
    text-align: left;
}

.header_bottom nav ul li ul li a{
    display: block;
    border-left:none;
    padding: 15px 60px 15px 10px;
    border-top: 1px solid white;
}

.header_bottom nav ul li:hover > nav {
    visibility: visible;
    opacity: 1;
}

#form_cerca{
    display: inline-block;
    position: relative;
    top: -6px;
}

#form_cerca input[type="image"]{
    height: 24px;
    vertical-align: middle;
}

#form_cerca input[type="text"]{
    width:200px;
    background-color: white;
    border: 1px solid #e2e2e2;
    padding: 8px;
    margin:  4px 0 0 30px;
    border-radius: 20px;
    background-image: url('../../img/nuovo-cerca.png');
    background-position: left center;
    background-repeat: no-repeat;
    text-align: right;
    background-size: contain;
    font-size: 14px;

}

.ristretto{
    width: 80%;
    min-width: 1100px;
    max-width: 1540px;
    margin: 0 auto;
    position:relative;
}

a.bandierina{
    transition: all 0.2s;
    margin: 0 5px;
    opacity: 0.5;
}

a.bandierina:hover{
    opacity: 1;
}

a.bandierina.attiva{
    opacity: 1;
}

a.bandierina img{
    height: 16px;
}

div.slider-home-container{
    position:relative;
}

div.logo_big{
    position:absolute;
    z-index:9997;
    top: 125px;
    left: 50%;
    transform: translateX(-50%);
    width: 60vw;
    max-width: 1000px;
    min-width: 700px;
}

div.logo_big img{
    width: 100%;
	filter: drop-shadow(2px 4px 5px #00000091);
}

div.slider-home-container .container{
    position:absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 60vw;
    max-width: 1000px;
    min-width: 700px;
    color:white;
    font-weight: bold;
    font-size: 18px;
    text-shadow: 0 1px 1px #555;
}

main.ristretto{
    padding: 20px 0;
    margin-top: 125px;
}

main.ristretto.senzamargine{
    margin-top:0;
}

.novita_container{
    position:relative;
    padding: 30px 0;
    color: #797a7c;
    text-align: center;
}

.novita_container h3{

}

h1, h2, h3{
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    color: #989898;
}

h1.titolone {
    font-family: 'Carrois Gothic', sans-serif;
    text-align: left;
    border-bottom: 1px solid #928d7a;
    color: #928d7a;
    font-size: 36px;
    position: relative;
    margin-bottom: 40px;
}

h1.titolino, h1.titolino_centrato {
    font-family: 'Carrois Gothic', sans-serif;
    text-align: left;
    border-bottom: 1px solid #989898;
    color: #989898;
    font-size: 30px;
    text-transform: uppercase;
    font-weight: lighter;
    margin-bottom: 35px;
}

h1.titolino_centrato{
    padding-left: 0;
    text-align: center;
}



h3.titolo_ordine{
    font-family: 'Carrois Gothic', sans-serif;
    color: #666;
    text-transform: uppercase;
    margin-top: 40px;
}

.novita_container h1{
    font-size: 50px;
    margin: 0;
    padding: 0;
    font-weight: lighter;
    text-transform: uppercase;
    text-align: center;
}

.novita_slider{
    width: 100%;
    margin-top: 10px;
}

a.novita_slide{
    display:block;
    float:left;
    text-decoration: none;
    box-sizing: border-box;
    position:relative;
    font-size: 16px;
    color: #797a7c;
}


.novita_slide_immagine{
    box-sizing: border-box;
    width:100%;
    padding-bottom: 75%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transition: all 0.3s ease;
}
a.novita_slide:hover .novita_slide_immagine{
    opacity: 0.75;
}

.novita_slide_testo{
    width:100%;
    padding: 10px;
    box-sizing: border-box;
    text-align: center;
    font-size: 15px;
    line-height: 15px;
}

a.novita_arrow{
    display: inline-block;
    width:40px;
    height: 40px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    opacity: 0.65;
    transition: all 0.2s;
    cursor: pointer;
}

a.novita_arrow:hover {
    opacity: 1;
}

a.novita_prev{
    left: 20px;
    background-image: url('/app/public/files/ckfinder/images/novita_sx.png');
}

a.novita_next{
    right: 20px;
    background-image: url('/app/public/files/ckfinder/images/novita_dx.png');
}

footer{
    margin-bottom: 40px;
}

.footer_menu{
    background-color: #c0c0c0;
    color:white;
    padding: 10px 0;
    margin-bottom: 2px;
}

.footer_menu .ristretto div{
    float:left;
    box-sizing: border-box;
    padding-right: 5px;
    color:white;
    text-align: left;
    font-size: 12px;
	transform: translateX(5vw);
}

.footer_menu .ristretto div a{
    color:white;
    display:block;
    line-height: 13px;
    margin: 5px 0;
    padding: 2px 0;
}

.footer_menu .ristretto div h5{
    text-transform: uppercase;
    font-size: 18px;
    margin: 0 0 3px 0;
    font-weight: normal;
    padding: 0;
    font-family: 'Open Sans Condensed', sans-serif;
}

/* one item */
.footer_menu .ristretto div:first-child:nth-last-child(1) {
    width: 100%;
}

/* two items */
.footer_menu .ristretto div:nth-last-child(2),
.footer_menu .ristretto div:first-child:nth-last-child(2) ~ div {
    width: 50%;
}

/* three items */
.footer_menu .ristretto div:nth-last-child(3),
.footer_menu .ristretto div:first-child:nth-last-child(3) ~ div {
    width: 33.3333%;
}

/* four items */
.footer_menu .ristretto div:first-child:nth-last-child(4),
.footer_menu .ristretto div:first-child:nth-last-child(4) ~ div {
    width: 25%;
}

/* five items */
.footer_menu .ristretto div:first-child:nth-last-child(5),
.footer_menu .ristretto div:first-child:nth-last-child(5) ~ div {
    width: 25%;
}

/* six items */
.footer_menu .ristretto div:first-child:nth-last-child(6),
.footer_menu .ristretto div:first-child:nth-last-child(6) ~ div {
    width: 16.6666%;
}

.footer_menu .ristretto div.mobiletti{
    position: relative;
}

.footer_menu .ristretto div.mobiletti img{
    position: absolute;
    right: 0;
    top: -60px;
}

.footer_dati{
    text-align: center;
}

.footer_righina{
    width: 100%;
    background-image: url('/app/public/files/ckfinder/images/rigacolorata.png');
    background-size: cover;
    height: 2px;
    margin-bottom: 10px;
}

#back_top{
    display:block;
    position:fixed;
    background-color: rgba(192,192,192,1);
    height: 40px;
    line-height: 40px;
    color:white;
    bottom: 20px;
    left: 0;
    z-index: 99999;
    padding: 0 5px 0 15px;
    transition: all 0.4s ease;
    transform: translateX(-100%);
    cursor: pointer;
}

#back_top.visibile{
    transform: translateX(0);
}

.remodal h1{
    font-size: 36px;
    line-height: 36px;
    text-align: left;
    padding-left: 10px;
    text-transform: uppercase;
}

.remodal h4.materiale{
    font-size: 22px;
    line-height: 40px;
    margin: 5px 0 10px 0;
    text-align: left;
    padding-left: 10px;
    text-transform: uppercase;
    color: #555;
    border-top: 1px solid #ccc;
    font-weight: bold;
}

.remodal h5.materiale{
    font-size: 14px;
    margin: -15px 0 20px 0;
    text-align: left;
    padding-left: 10px;
    text-transform: none;
    color: #a2a2a2;
}

.remodal h5:not(.materiale){
    letter-spacing: -0.8px;
}

.generic_form input, .generic_form select{
    width: 48%;
    background-color: white;
    border: 1px solid #ccc;
    text-align: center;
    margin-bottom: 10px;
    padding: 8px 0;
}

a.submit{
    display:block;
    background-color: #84AD33;
    transition: all 0.2s;
    color:white;
    border: 1px solid #84AD33;
    box-sizing: border-box;
    font-weight: normal;
    margin: 4px 0 15px;
    padding: 8px 5px;
    text-align: center;
    width: 100%;
    font-weight: bold;
}

a.submit:hover{
    border-radius: 4px;
    background-color: #6E9918;
}

.generic_form input[type="submit"]{
    color:white;
    background-color: #84ad33;
    transition: all 0.2s ease;
    border:2px solid #84ad33;
    text-transform: uppercase;
}

.generic_form input[type="submit"]:hover{
    background-color: #6E9918;
    border-radius: 4px;
    border:2px solid #6E9918;
}

a.button_bianco{
    display: inline-block;
    padding: 10px 20px;
    color: #888;
    background: transparent;
    border: 2px solid #84ad33;
    text-decoration: none;
    position:relative;
    margin-top: 40px;
    transition: all 0.3s ease 0s;
    cursor: pointer;
    text-transform: uppercase;
}

a.button_bianco:hover{
    color:white;
}
a.button_bianco::after {
    background: #84ad33 none repeat scroll 0 0;
    height: 0;
    left: 0;
    top: 0;
    width: 100%;
    z-index: -1;
    cursor: pointer;
    text-transform: uppercase;
}
a.button_bianco::after {
    content: "";
    position: absolute;
    transition: all 0.3s ease 0s;
}

a.button_bianco:hover::after {
    height: 100%;
}
.slick-list{
    border-radius: 0px;
    overflow: hidden;
}

a.sottocategoria_slide:not([href]){
    cursor: default;
}

.slick-dotted.slick-slider{
    margin-bottom: 0;
}


.sottocategoria_slider, .sottocategoria_slide img{
    width:100%;
}

.sottocategoria_slider .slick-dots{
    bottom: 10px;
}
/*
a.sottocategoria_arrow{
    display: inline-block;
    width:40px;
    height: 55px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    opacity: 0.65;
    transition: all 0.2s;
    cursor: pointer;
    position:absolute;
    top:50%;
    margin-top: -28px;
}

a.sottocategoria_arrow:hover {
    opacity: 1;
}

a.sottocategoria_prev{
    left: -50px;
    background-image: url('/app/public/files/ckfinder/images/sottocategoria_sx.png');
}

a.sottocategoria_next{
    right: -50px;
    background-image: url('/app/public/files/ckfinder/images/sottocategoria_dx.png');
}*/


.flex_container{
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    padding-top: 20px;
    border-top: 1px solid #d1d1d1;
    max-width: 96vw;
    margin-left: auto;
    margin-right: auto;
}

.fixed{
    -ms-flex: 0 0 130px;
    -webkit-flex: 0 0 130px;
    flex: 0 0 130px;
    border-right: 1px solid #d1d1d1;
    padding-right: 20px;
}

.fixed h3{
    padding-left: 10px;
    font-size: 26px;
    font-weight: normal;
}

.fixed .filtro_titolo{
    width: 100%;
    box-sizing: border-box;
    text-align: center;
    background-color: #a9a9a9;
    color:white;
    font-size: 18px;
    height: 32px;
    line-height: 32px;
    text-transform: capitalize;
    margin-bottom: 10px;
}

.fixed .filtro_titolo.con_margine{
    margin-top: 20px;
}

.fluid{
    /*padding-left: 20px;*/
    margin: 0 -20px 0 0;
    overflow: hidden;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-justify-content: center; /* Safari */
    justify-content:         center;
    -ms-flex-direction: row;
    -webkit-flex-direction: row; /* Safari */
    flex-direction:         row;
    -ms-flex-pack: start;
    -webkit-align-content: flex-start; /* Safari */
    align-content:         flex-start;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    width:100%;
}

label{
    display: block;
    padding: 4px 5px 4px 10px;
    cursor: pointer;
    height: auto;
    transition: all 0.3s linear;
}

label:first-letter{
    text-transform: capitalize;
}

label input[type="checkbox"]{
    vertical-align: middle;
}

.fluid_all{
    -webkit-flex: 1 1 100%;
    flex: 1 100%;
}

.prodotto_container{
    min-width:300px;
    /*height: 300px;*/
    margin: 0 20px 20px 0;
    position:relative;
    text-decoration: none;
    font-size: 14px;
    text-align: left;
    -ms-flex: 0;
    -webkit-flex: 1 1 300px;
    flex:1 1 300px;
    float:left;
    box-sizing: border-box;
    padding: 10px;
    border: 1px solid #d1d1d1;
    color: #333;
}

.prodotto_container:not(:empty)::after{
    content: "";
    border-radius: 5px;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0 0 10px -2px #888;
    opacity: 0;
    transition: all 0.2s ease-in-out;
}

.prodotto_container:hover::after{
    opacity:1;
}

.prodotto_container .prodotto_titolo{
    font-weight: bold;
    font-size: 20px;
    text-transform: capitalize;
	font-family:sans-serif
}

.prodotto_container a{
    text-decoration: none;
    color: #222;
}

.prodotto_container a:hover{
    color: #e15440;
}

.prodotto_container_img{
    width:100%;
    padding-bottom: 75%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    margin: 10px 0;
}

.prodotto_container:empty{
    padding:0;
    border:0;
}

.filter-button-group a{
    display:block;
    padding: 4px 0;
    box-sizing: border-box;
    transition: all 0.1s ease-in-out
}

.filter-button-group a.attivo, .filter-button-group a:hover{
    transform: translateX(2px);
    color: #333;
}

.prodotto_slider_container{
    width: 640px;
    height: 480px;
    max-width: 80%;
    float:left;
    margin-right: 70px;
}

.prodotto_slide{
    width: 640px;
    height: 480px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.prodotto_arrow{
    height: 80px;
    display: block;
    position:absolute;
    width: 30px;
    top: 50%;
    margin-top: -40px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    transition: all 0.2s;
    opacity: 0.7;
}

.prodotto_arrow:hover{
    opacity: 1;
}

.prodotto_prev{
    background-image: url('/app/public/files/ckfinder/images/sottocategoria_sx.png');
    left: -36px;
}

.prodotto_next{
    background-image: url('/app/public/files/ckfinder/images/sottocategoria_dx.png');
    right: -36px;
}

.prodotto_configurazione{
    overflow: hidden;
    width:auto;
    position: relative;
}

.prodotto_configurazione h3{
    font-size: 30px;
    font-weight: bold;
    text-transform: none;
    text-align: left;
    margin: 0;
    color: #353535;
	font-family: sans-serif;
}

#container_modelli, .container_varianti{
    max-width: 400px;
}

#container_modelli h4, .container_varianti h4{
}

.ui-selectmenu-menu-item-content{
    margin-bottom: 10px;
}

.ui-menu-item-wrapper{
    margin-bottom: 10px !important;
}

.container_varianti .miniatura{
    width: 80px;
    height: 40px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    margin-top: 5px;
    box-shadow: 0 0 0 1px #333 inset;
}

p{
    margin: 6px 0;
}

.ui-selectmenu-menu-item-header{display:block;font-weight:700}.ui-selectmenu-menu-item-content{display:block}

.prodotto_configurazione h4{
    font-size: 18px;
    border-bottom: 1px solid #a4a4a4;
    margin: 25px 0 10px 0;
}

.prodotto_configurazione h4:first-letter{
    text-transform: capitalize;
}

.prodotto_configurazione a.del{
    display: block;
    float: right;
    font-size: 18px;
    font-weight: bolder;
}

.variante_scelta_container{
    padding: 6px 4px;
    box-sizing: border-box;
    border: 1px solid #a4a4a4;
    border-radius: 2px;
    background: url('/app/public/files/ckfinder/images/quadratini.png') no-repeat right center;
    background-size: contain;
    cursor: pointer;
}

.finitura_container{
    width:21%;
    padding: 1%;
    margin: 0 2% 2% 0;
    float:left;
    text-align: left;
    cursor:pointer;
    transition: all 0.2s;
}

.supercontainer .finitura_container:nth-child(4n+1){
    clear: left;
}

.finitura_container:hover{
    background-color: #e2e2e2;
}

.finitura_container h5{
    margin: 8px 0 2px 0;
    padding: 0;
    font-size: 14px;
}

.finitura_container span:first-of-type{
    font-style: italic;
    font-size: 12px;
}

.finitura_container span:nth-of-type(2){
    font-weight: bold;
    color: red;
    font-size: 14px;
    display: inline-block;
    padding-left: 10px;
}

.finitura_container h5:first-letter{
    text-transform: capitalize;
}

.finitura_immagine{
    width:100%;
    background-position: center;
    padding-bottom: 50%;
    background-size: cover;
    background-repeat: no-repeat;
    box-shadow: inset 0 0 0 1px #333;
}

.carrello_container{
    position:relative;
    overflow: hidden;
    margin: auto;
}

#carrello_overlay, #prodotto_overlay{
    background-color: rgba(255, 255, 255, 0.8);
    background-image: url("../img/loader.gif");
    background-position: center center;
    background-repeat: no-repeat;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 999;
    display:none;
}

table.carrello{
    width:100%;
}

table.carrello thead{
    height:42px;
    background-color: #e1e1e2;
    color: #676767;
    font-size: 16px;
    text-transform: uppercase;
    vertical-align: middle;
    font-weight: lighter;
}
table.carrello thead th{
    padding: 10px 0.5%;
    border-left: 1px solid white;
}

table.carrello tbody td{
    vertical-align: top;
    padding: 20px 0.5%;
    text-align: center;
    border-bottom: 1px solid #dedede;
}

table.carrello thead th:first-child{
    border-left: 0;
    width: 200px;
}

table.carrello thead th:nth-child(1),table.carrello thead th:nth-child(2),table.carrello thead th:nth-child(3){
    text-align: left;
}

table.carrello tbody tr:not(.totale) td:nth-child(1),table.carrello tbody tr:not(.totale) td:nth-child(2),table.carrello tbody tr:not(.totale) td:nth-child(3){
    text-align: left;
}

table.carrello tbody td:nth-child(3),table.carrello tbody td:nth-child(6){
    font-size: 20px;
    font-weight: bold;
}

table.carrello td.td_ristretto{
    width:12%;
    min-width:120px;
}

table.carrello td.td_ristretto{
    font-size: 20px;
    font-weight: bold;
}

table.carrello .carrello_immagine{
    width:190px;
    border: 1px solid #666666;
    margin-right: 44px;
}

table.carrello tr.esenteiva td{
    text-align: right !important;
    color: darkorange;
    font-style: italic;
    padding-top: 10px;
    padding-bottom: 10px;
    font-weight: 600;
}

input.onlyNumbers{
    width:50px;
    padding: 8px 4px;
    background-color: white;
    border: 1px solid #ccc;
    font-size: 14px;
    text-align: center;
}

table.carrello h3, table.carrello h3 a{
    text-align: left;
    color: #333;
    text-transform: uppercase;
    font-size: 18px;
    padding: 0;
    margin: -4px 0 12px 0;
}

table.carrello h4{
    text-align: left;
    color: #333;
    padding: 0;
    margin: 8px 0 2px 0;
}

table.carrello h4:first-letter{
    text-transform: capitalize;
}

table.carrello tr td.a_destra, .a_destra{
    text-align: right !important;
    border-bottom: 0;
}

table.carrello tr td.maiuscolo{
    text-transform: uppercase;
}

table.carrello select{
    border: 1px solid #ccc;
    width: 172px;
    padding: 6px 4px;
    background-color: white;
    margin-left: 4px;
    margin-right: -6px;
    box-sizing: border-box;
}

table.carrello tbody tr.totale td{
    background-color: #efefef;
    color: #666666;
    font-size: 18px;
    font-weight: normal;
    text-transform: uppercase;
    border:1px solid white;
    padding: 12px 0.5%;
}
table.carrello tbody tr.grantotale td{
    background-color: #c3c3c0;
    color: #333;
    font-weight: bold;
}

table.carrello tr.errore_spedizione td{
    padding: 20px 0;
    text-align: center !important;
    background-color: #ff544f;
    color:white;
    font-size:18px;
    border:none;
}

table.carrello th.last, table.carrello td.last{
    width: 160px !important;
}

table.carrello td.last{
    text-align: right;
    padding-right: 25px;
    box-sizing: border-box;
}

input[name='codice_sconto']{
    border: 1px solid #ccc;
    background: none;
    padding: 3px 5px;
}

input[name='codice_sconto']:disabled{
    border: none;
    background: rgba(157, 255, 152, 0.6);
    padding: 4px 6px;
}

#pulsante_sconto{
    display: inline-block;
    position:relative;
    top: 8px;
    height: 25px;
    width: 30px;
    background-image: url('/app/public/files/ckfinder/images/pulsantino-invio.png');
    background-position: center left;
    background-repeat: no-repeat;
    background-size: cover;
    transition: all 0.2s;
}

#pulsante_sconto:hover{
    background-position: center right;
}

#cancella_sconto{
    display: inline-block;
    position:relative;
    top: 8px;
    height: 25px;
    width: 30px;
    background-image: url('/app/public/files/ckfinder/images/pulsantino-cancella.png');
    background-position: center left;
    background-repeat: no-repeat;
    background-size: cover;
    transition: all 0.2s;
}

#cancella_sconto:hover{
    background-position: center right;
}

a.button_verde{
    display: inline-block;
    padding: 6px 20px;
    color: white;
    text-transform: uppercase;
    background-color: #84AD33;
    transition: all 0.2s;
    font-size: 18px;
}

span.verde{
    color: #84AD33;
}

a.button_verde:hover{
    border-radius: 4px;
    background-color: #6E9918;
}

a.button_grigio, .richiesta_info button.button_grigio {
    display: inline-block;
    padding: 6px 20px;
    color: white;
    text-transform: uppercase;
    background-color: #c0c0c0;
    transition: all 0.2s;
    font-size: 18px;
    margin-top: 8px;
}

a.button_grigio.stondato{
    border-radius: 20px;
    text-transform: none;
    font-weight: bold;
    margin-bottom: 20px;
}

a.button_grigio.stondato:hover{
    border-radius: 4px;
    background-color: #a9a9a9;
}

a.button_blu{
    display: inline-block;
    padding: 8px 20px;
    color: white;
    background-color: #00b7d1;
    transition: all 0.2s;
    font-size: 18px;
    margin-top: 8px;
    border-radius: 20px;
    text-transform: none;
    font-weight: bold;
    margin-bottom: 20px;
}

a.button_blu:hover{
    border-radius: 4px;
    background-color: #009ab4;
}

a.button_grigio.button_aggiungi_carrello{
    padding: 6px 20px 6px 40px;
    background-image: url('/app/public/files/ckfinder/images/carrello-bianco.png');
    background-position: left;
    background-size: contain;
    background-repeat: no-repeat;
}

a.button_verde.button_aggiungi_carrello{
    padding: 6px 20px 6px 40px;
    background-image: url('/app/public/files/ckfinder/images/carrello-bianco.png');
    background-position: left;
    background-size: contain;
    background-repeat: no-repeat;
}

#container_prezzo{
    font-size: 20px;
    font-weight: bold;
    padding-top: 30px;
}

#codice_sconto_form{
    margin-top: 15px;
}

div.sbarrato{
    position:relative;
    display:inline-block;
    margin: 0 0 6px 8px;
}

div.sbarrato:before{
    border-top: 2px solid #ff0b00;
    content: "";
    left: 0;
    position: absolute;
    right: 0;
    top: 50%;
    transform: rotate(-5deg);
}

.ordine_container{
    text-align: center;
    border-top: 4px solid #737373;
    max-width: 800px;
    margin: auto;
}

.pallino{
    position:absolute;
    width: 60px;
    height: 60px;
    line-height: 60px;
    border-radius: 33px;
    color:white;
    top: 36px;
    right: 4px;
    font-size: 24px;
    font-weight: bold;
    z-index: 1;
    text-align: center;
    border: 2px solid;
    background-color: rgba(255,255,255,0.8);
	/*background-image: url('/app/public/files/ckfinder/images/bollino-rosso.jpg');
	border: solid 2px white;*/
	/*background-image: url('/app/public/files/ckfinder/images/bollino-nero.jpg');*/
}

.pallone {
    position: absolute;
    width: 80px;
    height: 80px;
    line-height: 80px;
    border-radius: 50px;
    color: white;
    top: 10px;
    right: 10px;
    font-size: 32px;
    font-weight: bold;
    z-index: 1;
    text-align: center;
    /* background-image: url('../img/bollino-summer-sales.png'); 
	background-image: url('/app/public/files/ckfinder/images/blackfriday.png');*/
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    border: 2px solid;
    background-color: rgba(255,255,255,0.8);
	/*background-image: url('/app/public/files/ckfinder/images/bollino-rosso.jpg');
    border: solid 2px white;*/
	/*background-image: url('/app/public/files/ckfinder/images/bollino-nero.jpg');*/
}

.sconto_promo{
    font-weight: normal;
    margin-top: 5px;
    white-space: nowrap;
    color: #84ad33;
}

.sconto_promo:first-letter{
    text-transform: capitalize;
}

.sconto_promo span{
    display: inline-block;
    font-size: 40px;
    font-weight: lighter;
    color: #84ad33;
}

.form_indirizzo{
    width: 90%;
    margin: 10px auto;
}

#form_azienda{
    display:none;
}

.form_indirizzo input, .form_indirizzo select{
    width: 100%;
    margin: 5px 0 15px 0;
    background-color: white;
    border: 1px solid #ccc;
    text-align: left;
    padding: 8px 5px;
    box-sizing: border-box;
    font-weight: normal;
}


.form_indirizzo input:disabled, .form_indirizzo textarea:disabled{
    background-color: #dfdfdf;
}

.form_indirizzo textarea{
    width: 100%;
    height: 80px;
    margin: 5px 0 15px 0;
    background-color: white;
    border: 1px solid #ccc;
    text-align: left;
    padding: 8px 5px;
    box-sizing: border-box;
    font-weight: normal;
}

.form_indirizzo .colonna{
    width: 44%;
    padding: 0 3%;
    float:left;
    font-weight: bold;
}

input[type=checkbox].css-checkbox {
    position:absolute;
    z-index:-1000;
    left:-1000px;
    overflow: hidden;
    clip: rect(0 0 0 0);
    height:1px;
    width:1px;
    margin:-1px;
    padding:0;
    border:0;
}

input[type=checkbox].css-checkbox + label.css-label {
    padding-left:32px;
    height:18px;
    display:inline-block;
    line-height:22px;
    background-repeat:no-repeat;
    background-position: 0 0;
    font-size:16px;
    vertical-align:top;
    cursor:pointer;
    margin-bottom: 15px;
}

input[type=checkbox].css-checkbox:checked + label.css-label {
    background-position: 0 -25px;
}
label.css-label {
    background-image:url("/app/public/files/ckfinder/images/csscheckbox.png");
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.payment-methods {
    list-style: none;
    margin: 0 auto 40px;
    padding: 0;
    text-align: center;
}

.payment-methods:after {
    content: "";
    clear: both;
}

.payment-method {
    box-sizing: border-box;
    height: 70px;
    position: relative;
    width: 200px;
    display: inline-block;
    margin: 0 20px;
}

.payment-method input, .payment-method input:active, .payment-method input:focus{
    outline: 0;
    outline-style:none;
    outline-width:0;
    border: none;
}

.payment-method label {
    background: #e1e1e3 no-repeat center center;
    cursor: pointer;
    display: block;
    left: 0;
    top: -4px;
    right: 0;
    bottom: 0;
    position: absolute;
    padding: 0;
    font-size: 16px;
    font-weight: bold;
    color: #989898;
    border-radius: 35px;
}

.payment-method label span{
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    display: block;
}

.payment-methods input:checked + label {
    background: #00b7d1 no-repeat center center;
    color: white;
}

.riepilogo_indirizzo{
    padding: 0 40px;
    box-sizing: border-box;
    margin: 0 auto 20px auto;
    display: inline-block;
    text-align: center;
    font-size: 18px;
    line-height: 24px;
}

.riepilogo_indirizzo h1{
    font-size: 26px;
    line-height: 26px;
    margin-bottom: 8px;
}

div.stato_ordine{
    text-align: center;
}

div.stato_ordine h3{
    font-family: "Carrois Gothic",sans-serif;
    font-weight: lighter;
    text-transform: uppercase;
    font-size: 30px;
    margin: 10px 10px;
}

.stato_testo{
    width:25%;
    text-align: center;
    display: block;
    position:relative;
    font-size: 18px;
    color: #989898;
    float:left;
}

.stato_testo:after{
    content: " ";
    width:20px;
    height: 20px;
    border-radius: 20px;
    background-color: #ccc;
    left: 90px;
    top:24px;
    position:absolute;
    display:block;
}

.stato_testo.verde:after{
    background-color: #84AD33;
}

.stato_testo.rosso:after{
    background-color: #e50000;
}

.stato_riga{
    width:200px;
    height: 1px;
    background-color: #ccc;
    display: inline-block;
}

.stato_testo.verde{
    color: #84AD33;
}

.stato_testo.rosso{
    color: #e50000;
}

.stato_riga.verde{
    background-color: #84AD33;
}

.stato_riga.rosso{
    background-color: #e50000;
}

a.facebook_login{
    display: block;
    margin: 20px auto 0;
    width: 48%;
    padding: 8px 0;
    color:white;
    background-color: #3B5998;
    border: 2px solid #3B5998;
    text-align: center;
    text-transform: uppercase;
    transition: all 0.2s;
}

a.facebook_login:hover{
    border-radius: 4px;
}

a#google_login, a#google_login2{
    display: block;
    margin: 10px auto 0;
    width: 48%;
    padding: 8px 0;
    color:white;
    background-color: #EA4335;
    border: 2px solid #EA4335;
    text-align: center;
    text-transform: uppercase;
    transition: all 0.2s;
}

a#google_login:hover, a#google_login2:hover{
    border-radius: 4px;
}

.container_descrizione_aggiuntiva{
    margin-top: 30px;
}

.container_descrizione_aggiuntiva > div:first-child p{
    padding-right: 10%;
}

.container_descrizione_aggiuntiva h3{
    text-transform: none;
    border-bottom: 1px solid #a4a4a4;
    padding-bottom: 10px;
    text-align: left;
    font-size: 26px;
}

.informazioni_aggiuntive{
    width: auto;
    overflow: hidden;
}

.informazioni_aggiuntive div{
    float:left;
    width: 50%;
    padding: 8px 2% 8px 0;
    box-sizing: border-box;
    border-bottom: 1px solid #ccc;
}

.informazioni_aggiuntive a{
    color: #84ad33;
    transition: all 0.2s;
}

.informazioni_aggiuntive a:hover{
    color: #6e9918;
}

.informazioni_aggiuntive div:nth-of-type(odd){
    font-weight: bold;
    letter-spacing: 0.5px;
}

.informazioni_aggiuntive div > span{
    float:right;
    display: inline-block;
    width: 14px;
    height: 14px;
    background: url('/app/public/files/ckfinder/images/question.png') no-repeat center;
    background-size: contain;
    cursor: pointer;
    transition: all 0.3s;
}
.informazioni_aggiuntive div > span:hover{
    transform: scale(1.2);
}

.stv-radio-tabs-wrapper {
    clear: both;
    display: inline-block;
    width: 94%;
    margin-left: 3%;
    border-bottom: 1px solid #84ad33;
    padding: 0;
    position: relative;
    text-align: center;
    margin-bottom: 20px;
}

input.stv-radio-tab {
    position: absolute;
    left: -99999em;
}
input.stv-radio-tab + label {
    cursor: pointer;
    border: 1px solid #aaa;
    border-bottom: 0;
    background-color: #fff;
    padding: 10px 25px;
    position: relative;
    display:inline-block;
    font-size: 16px;
    color: #a6a6a6;
    margin: 0 5px;
    font-weight: bold;
}
input.stv-radio-tab + label:hover {
    background-color: #eee;
}
input.stv-radio-tab:checked + label {
    box-shadow: 0 3px 0 -1px #fff, inset 0 5px 0 -1px #84ad33;
    background-color: #fff;
    border-color: #84ad33;
    z-index: 1;
    color: #222;
}

.landing_button_contenuto{
    display:inline-block;
    padding: 15px 30px;
    background-color: #84ad33;
    color:white;
    font-size: 20px;
    margin: 20px 0 40px 0;
    cursor: pointer;
    transition: all 0.2s;
}

.landing_button_contenuto:hover{
    border-radius: 10px;
    background-color: #6e9918;
}

.regsconto{
    margin: 10px auto;
    text-align: center;
    font-weight: bold;
    color: #6E9918;
    font-size: 32px;
}


.autocomplete-suggestions { -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; border: 1px solid #999; background: #FFF; cursor: default; overflow: auto; -webkit-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); -moz-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); }
.autocomplete-suggestion { padding: 2px 5px; white-space: nowrap; overflow: hidden; }
.autocomplete-no-suggestion { padding: 2px 5px;}
.autocomplete-selected { background: #F0F0F0; }
.autocomplete-suggestions strong { font-weight: bold; color: #000; }
.autocomplete-group { padding: 2px 5px; }
.autocomplete-group strong { font-weight: bold; font-size: 16px; color: #000; display: block; border-bottom: 1px solid #000; }


.sottocategoria h1{
    font-family: 'Josefin Slab', serif;
    font-size:28px;
    color:#949494;
    text-align:center;
    margin-bottom:10px;
    text-transform:uppercase
}

a[name] {
    padding-top:90px;
}

#badge_prodotti{
    position:absolute;
    display: inline-block;
    width: 16px;
    height: 16px;
    font-weight: bold;
    font-size: 12px;
    line-height: 16px;
    color:white;
    background-color: red;
    border-radius: 100%;
    top: -3px;
    right: 0;
    text-align: center;
}

.leggi-trigger{
	display:none;
}


#preventivo_container{
    margin-top: 30px;
    width: 100%;
    max-width: 400px;
}

#preventivo_button{
    width: 100%;
    font-size: 18px;
    font-weight: bold;
    padding: 6px 8px;
    color: white;
    background-color: darkorange;
    box-sizing: border-box;
    cursor: pointer;
}

#preventivo_form_container{
    display: none;
    padding: 12px;
    box-sizing: border-box;
    border: 1px solid darkorange;
    position: relative;
}

#preventivo_form_overlay{
    display:none;
    position: absolute;
    top:0;
    bottom:0;
    left:0;
    right:0;
    background-color: rgba(255,255,255,0.8);
    background-image: url('../../img/loader.gif');
    background-position: center;
    background-repeat: no-repeat;
}

#preventivo_form table{
    width: 100%;
}

#preventivo_form_container table tr td{
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 10px;
}

#preventivo_form_container table tr td:first-child{
    padding-right: 10px;
}

#preventivo_form textarea{
    width: calc(100%);
    border: 1px solid #ccc;
    padding: 4px;
    min-height: 80px;
}

#preventivo_form input[type="text"], #preventivo_form input[type="email"]{
    width: calc(100% - 10px);
    border: 1px solid #ccc;
    padding: 4px;
}

#preventivo_form input[type="submit"]{
    padding: 6px 15px;
    color: white;
    border: none;
    float: right;
    background-color: darkorange;
    font-weight: bold;
}

/* RICHIESTA INFORMAZIONI */

.richiesta_info {
   text-align: center;
}

.richiesta_info p {
    font-size: 1.8rem;
}

.richiesta_info .oggetto {
    color: forestgreen;
    font-weight: 600;
}

.richiesta_info form, .richiesta_info .display_esito {
    width: 610px;
    margin: 0 auto;
}

.richiesta_info form label {
    font-size: 1.2rem;
    text-align: left;
    padding: 10px 0;
}

.richiesta_info form input {
    height: 26px;
    line-height: 24px;
}

.richiesta_info form input, .richiesta_info form textarea {
    width: 100%;
    box-sizing: border-box;
}

.richiesta_info form .button_grigio {
    margin-top: 30px;
    border: 1px solid #CCCCCC;
}

.richiesta_info form .button_grigio:hover {
    background-color: #a9a9a9;
}

.richiesta_info .display_esito {
    padding: 10px;
    font-size: 1.2rem;
    border: 1px solid #228b22;
    font-weight: bold;
    background-color: rgba(34,139,34,0.3);
    color: #228b22;
    box-sizing: border-box;
    margin: 10px auto;
}

.richiesta_info .display_esito.error {
    background-color: rgba(204,0,0,0.2);
    color: #CC0000;
    border-color: #CC0000;
}

.fascetta{
    width:100%;
    /*z-index:99;
    position:absolute;*/
    margin:0px auto 0px;
    height:40px;
    color:#fff;
    font-family: 'Montserrat', sans-serif;
    text-align:center;
    font-size:18px;
    line-height:40px;
    font-weight:300;
	display:none
}

.novita_titolo{
    font-size: 16px;
    margin-bottom: 20px;
}

.novita_titolo span{
    display: block;
    font-size: calc(20px + (26 - 20) * ((100vw - 360px) / (1700 - 360)));
}



.contatti_float{
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #20B2BB;
    color:white;
    font-weight: bold;
    display: inline-block;
    padding: 12px 24px;
    border-radius: 12px;
    font-size: 24px;
    transition: all 0.5s;
}

.contatti_popup{
    display:none;
    position: fixed;
    bottom: 86px;
    right: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px 2px #999;
    text-align: center;
    min-width: 300px;
    z-index: 9999;
}
.contatti_popup_inner{
    background-color: white;
    padding: 12px;
}

.contatti_header{
    background-color: #20B2BB;
    color:white;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 24px;
    padding: 6px 0;
    margin-bottom: 20px;
}

.spinner{
    position: relative;
}

.spinner:before{
    display:block;
    content: " ";
    position: absolute;
    top:0;
    bottom:0;
    left:0;
    right: 0;
    background-color: rgba(255,255,255, 0.7);
    z-index:998;
}

.spinner:after{
    display:block;
    content: "";
    z-index:999;
    position: absolute;
    left: 50%;
    top: 50%;
    height:60px;
    width:60px;
    margin:-30px  auto auto -30px;
    -webkit-animation: rotation .6s infinite linear;
    -moz-animation: rotation .6s infinite linear;
    -o-animation: rotation .6s infinite linear;
    animation: rotation .6s infinite linear;
    border-left:6px solid rgba(41, 109, 165, 0.25);
    border-right:6px solid rgba(41, 109, 165, 0.25);
    border-bottom:6px solid rgba(41, 109, 165, 0.25);
    border-top:6px solid rgba(64, 84, 165, 0.8);
    border-radius:100%;
}

@media (max-width: 960px){
    .spinner:after{
        position: fixed;
    }
}

@-webkit-keyframes rotation {
    from {-webkit-transform: rotate(0deg);}
    to {-webkit-transform: rotate(359deg);}
}
@-moz-keyframes rotation {
    from {-moz-transform: rotate(0deg);}
    to {-moz-transform: rotate(359deg);}
}
@-o-keyframes rotation {
    from {-o-transform: rotate(0deg);}
    to {-o-transform: rotate(359deg);}
}
@keyframes rotation {
    from {transform: rotate(0deg);}
    to {transform: rotate(359deg);}
}



#contattaci_form table{
    width: 100%;
}

#contattaci_form table tr td{
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 10px;
}

#contattaci_form table tr td:first-child{
    padding-right: 10px;
}

#contattaci_form table textarea{
    width: calc(100%);
    border: 1px solid #ccc;
    padding: 4px;
    min-height: 80px;
}

#contattaci_form input[type="text"], #contattaci_form input[type="email"]{
    width: calc(100% - 10px);
    border: 1px solid #ccc;
    padding: 4px;
}

#contattaci_form input[type="submit"]{
    padding: 8px 15px;
    text-transform: uppercase;
    color: white;
    border: none;
    background-color: #20B2BB;
    font-weight: bold;
    font-size: 18px;
}



.footer_social_container{
    width: 100%;
    background-color: #dadada;
    text-align: center;
    padding: 20px 0;
}

.footer_social_container a{
    text-decoration: none;
    display: inline-block;
    padding: 10px;
    transition: all 0.2s;
}

.footer_social_container a img{
    width: 50px;
}

.footer_social_container a:hover{
    opacity: 0.8;
}
footer{
	margin-top: 0 !important;
}



    /* ==========================================================================
       Helper classes
       ========================================================================== */

/*
 * Image replacement
 */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    /* IE 6/7 fallback */
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}

/*
 * Hide from both screenreaders and browsers: h5bp.com/u
 */

.hidden {
    display: none !important;
    visibility: hidden;
}

/*
 * Hide only visually, but have it available for screenreaders: h5bp.com/v
 */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

/*
 * Extends the .visuallyhidden class to allow the element to be focusable
 * when navigated to via the keyboard: h5bp.com/p
 */

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

/*
 * Hide visually and from screenreaders, but maintain layout
 */

.invisible {
    visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after {
    clear: both;
}

/*
 * For IE 6/7 only
 * Include this rule to trigger hasLayout and contain floats.
 */

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
    /* Style adjustments for viewports that meet the condition */
}

@media print,
       (-o-min-device-pixel-ratio: 5/4),
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 120dpi) {
    /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid required HTTP connection: h5bp.com/r
   ========================================================================== */

@media print {
    * {
        background: transparent !important;
        color: #000 !important; /* Black prints faster: h5bp.com/s */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links for images, or javascript/internal links
     */

    .ir a:after,
    a[href^="javascript:"]:after,
    a[href^="#"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group; /* h5bp.com/t */
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    @page {
        margin: 0.5cm;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
